import * as i0 from '@angular/core';
import { Component, NgModule } from '@angular/core';
import * as i4 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2$1 from '@angular/router';
import { RouterModule } from '@angular/router';
import { Subject, takeUntil } from 'rxjs';
import * as i2 from '@ng-bootstrap/ng-bootstrap';
import * as i1 from 'tango-app-ui-global';
import { NotificationService, ToastService, PaginationComponent, CustomDateFormatPipe, CommonSharedModule } from './tango-app-ui-shared.mjs';
import '@angular/common/http';
import 'sweetalert2';
import '@angular/animations';
import 'rxjs/operators';
import '@angular/platform-browser';
import 'dayjs';
import 'dayjs/locale/en';
import 'dayjs/plugin/utc';
import 'dayjs/plugin/timezone';
import '@angular/forms';
import 'ngx-daterangepicker-material';
import 'crypto-js';
import 'ngx-pagination';
import '@ngx-translate/core';
import 'ng-inline-svg-2';

class ConformationComponent {
    activeModal;
    constructor(activeModal) {
        this.activeModal = activeModal;
    }
    cancel() {
        this.activeModal.close('close');
    }
    onSubmit() {
        this.activeModal.close('submit');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ConformationComponent, deps: [{ token: i2.NgbActiveModal }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: ConformationComponent, selector: "lib-conformation", ngImport: i0, template: "<div class=\"card group-delete py-0\">\r\n    <div class=\"card-body py-0 d-flex flex-start flex-column p-9 \">\r\n        <div class=\"my-5\">\r\n            <div class=\"symbol symbol-75px symbol-circle\">\r\n                <svg width=\"56\" height=\"56\" viewBox=\"0 0 56 56\" fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\">\r\n                    <rect x=\"4\" y=\"4\" width=\"48\" height=\"48\" rx=\"24\" fill=\"#FEF0C7\"/>\r\n                    <rect x=\"4\" y=\"4\" width=\"48\" height=\"48\" rx=\"24\" stroke=\"#FFFAEB\" stroke-width=\"8\"/>\r\n                    <path d=\"M27.9988 24V28M27.9988 32H28.0088M26.2888 18.86L17.8188 33C17.6442 33.3024 17.5518 33.6453 17.5508 33.9945C17.5498 34.3437 17.6403 34.6871 17.8132 34.9905C17.9862 35.2939 18.2355 35.5467 18.5365 35.7238C18.8375 35.9009 19.1796 35.9961 19.5288 36H36.4688C36.818 35.9961 37.1601 35.9009 37.4611 35.7238C37.7621 35.5467 38.0114 35.2939 38.1844 34.9905C38.3573 34.6871 38.4478 34.3437 38.4468 33.9945C38.4458 33.6453 38.3534 33.3024 38.1788 33L29.7088 18.86C29.5305 18.5661 29.2795 18.3231 28.98 18.1544C28.6805 17.9858 28.3425 17.8972 27.9988 17.8972C27.6551 17.8972 27.3171 17.9858 27.0176 18.1544C26.7181 18.3231 26.4671 18.5661 26.2888 18.86Z\" stroke=\"#DC6803\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"/>\r\n                    </svg>  \r\n            </div>\r\n        </div>\r\n        <a class=\"fs-4 text-gray-800 text-hover-primary fw-bold mb-0 title cursor-pointer\">Are you sure?</a>\r\n        <span  class=\"sub-title fw-normal mt-2\">Do you want to cancel the download?</span>\r\n        <!-- <span *ngIf=\"status ==='rejected'\"  class=\"sub-title fw-normal mt-2\">Do you want to reject the brand <b>{{clientName}}</b>?</span> -->\r\n        <div class=\"mt-5 w-100\">\r\n         \r\n                <div role=\"group\" class=\"d-flex mt-3 mb-15\">\r\n                    <button class=\"btn btn-outline w-100 me-3\" (click)=\"cancel()\">Cancel</button>\r\n                    <button  id=\"alert-toast\" class=\"btn btn-primary w-100 ms-3\" (click)=\"onSubmit()\">Confirm</button>\r\n                </div>\r\n           \r\n        </div>\r\n\r\n    </div>\r\n</div>", styles: [""] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ConformationComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-conformation', template: "<div class=\"card group-delete py-0\">\r\n    <div class=\"card-body py-0 d-flex flex-start flex-column p-9 \">\r\n        <div class=\"my-5\">\r\n            <div class=\"symbol symbol-75px symbol-circle\">\r\n                <svg width=\"56\" height=\"56\" viewBox=\"0 0 56 56\" fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\">\r\n                    <rect x=\"4\" y=\"4\" width=\"48\" height=\"48\" rx=\"24\" fill=\"#FEF0C7\"/>\r\n                    <rect x=\"4\" y=\"4\" width=\"48\" height=\"48\" rx=\"24\" stroke=\"#FFFAEB\" stroke-width=\"8\"/>\r\n                    <path d=\"M27.9988 24V28M27.9988 32H28.0088M26.2888 18.86L17.8188 33C17.6442 33.3024 17.5518 33.6453 17.5508 33.9945C17.5498 34.3437 17.6403 34.6871 17.8132 34.9905C17.9862 35.2939 18.2355 35.5467 18.5365 35.7238C18.8375 35.9009 19.1796 35.9961 19.5288 36H36.4688C36.818 35.9961 37.1601 35.9009 37.4611 35.7238C37.7621 35.5467 38.0114 35.2939 38.1844 34.9905C38.3573 34.6871 38.4478 34.3437 38.4468 33.9945C38.4458 33.6453 38.3534 33.3024 38.1788 33L29.7088 18.86C29.5305 18.5661 29.2795 18.3231 28.98 18.1544C28.6805 17.9858 28.3425 17.8972 27.9988 17.8972C27.6551 17.8972 27.3171 17.9858 27.0176 18.1544C26.7181 18.3231 26.4671 18.5661 26.2888 18.86Z\" stroke=\"#DC6803\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"/>\r\n                    </svg>  \r\n            </div>\r\n        </div>\r\n        <a class=\"fs-4 text-gray-800 text-hover-primary fw-bold mb-0 title cursor-pointer\">Are you sure?</a>\r\n        <span  class=\"sub-title fw-normal mt-2\">Do you want to cancel the download?</span>\r\n        <!-- <span *ngIf=\"status ==='rejected'\"  class=\"sub-title fw-normal mt-2\">Do you want to reject the brand <b>{{clientName}}</b>?</span> -->\r\n        <div class=\"mt-5 w-100\">\r\n         \r\n                <div role=\"group\" class=\"d-flex mt-3 mb-15\">\r\n                    <button class=\"btn btn-outline w-100 me-3\" (click)=\"cancel()\">Cancel</button>\r\n                    <button  id=\"alert-toast\" class=\"btn btn-primary w-100 ms-3\" (click)=\"onSubmit()\">Confirm</button>\r\n                </div>\r\n           \r\n        </div>\r\n\r\n    </div>\r\n</div>" }]
        }], ctorParameters: () => [{ type: i2.NgbActiveModal }] });

class NotificationComponent {
    pageInfo;
    gs;
    route;
    service;
    cd;
    toast;
    router;
    modalService;
    showalert = true;
    showdownload = false;
    loading = true;
    noData = false;
    downloadloading = true;
    downloadnoData = false;
    itemsPerPage = 10;
    currentPage = 1;
    totalItems = 0;
    paginationSizes = [10, 20, 30];
    limit = 10;
    offset = 1;
    pageSize = 10;
    user;
    headerFilter;
    clientId;
    _id;
    data;
    destroy$ = new Subject();
    notification;
    total;
    downloads = [];
    headerData;
    searchInput = "";
    sortColumName = '';
    sortDirection = '';
    searchValue;
    tabtype;
    user_id;
    reloadInterval;
    constructor(pageInfo, gs, route, service, cd, toast, router, modalService) {
        this.pageInfo = pageInfo;
        this.gs = gs;
        this.route = route;
        this.service = service;
        this.cd = cd;
        this.toast = toast;
        this.router = router;
        this.modalService = modalService;
    }
    ngOnInit() {
        this.setPageData();
        let userData;
        if ("user-info" in localStorage) {
            userData = JSON.parse(localStorage.getItem("user-info") || "{}");
            this.user_id = userData._id;
        }
        this.gs?.dataRangeValue.pipe((takeUntil(this.destroy$)))?.subscribe({
            next: (data) => {
                if (data?.client) {
                    this.headerData = data;
                }
                if (userData?.clientId || this.headerData?.client)
                    this.clientId = userData.clientId ? userData.clientId : this.headerData.client;
                this.route.queryParams.subscribe(params => {
                    const tabType = params['tab'];
                    if (this.clientId) {
                        if (tabType) {
                            this.chooseManager(tabType);
                        }
                        else {
                            this.chooseManager('alert');
                        }
                    }
                });
            }
        });
        this.reloadInterval = setInterval(() => {
            this.downloadmanagerList();
        }, 10000);
    }
    cancelDownload(data) {
        const modalRef = this.modalService.open(ConformationComponent, { centered: true, size: 'md', });
        modalRef.result.then((result) => {
            if (result == 'submit') {
                this.service.cancelDownload(data).pipe(takeUntil(this.destroy$))
                    .subscribe({
                    next: (res) => {
                        if (res && res.code === 200) {
                            this.toast.getSuccessToast(res.message);
                            this.downloadmanagerList();
                        }
                    }
                });
            }
        });
    }
    ngOnDestroy() {
        this.destroy$.next(true);
        this.destroy$.complete();
        if (this.reloadInterval) {
            clearInterval(this.reloadInterval);
        }
    }
    setPageData() {
        this.pageInfo.setTitle("Alerts");
        this.pageInfo.setDescription("Track all your activities and notifications here");
        this.pageInfo.setBreadcrumbs([
            { title: "", path: "", isActive: false, isSeparator: false },
        ]);
    }
    notificationList() {
        this.loading = true;
        let data = {
            limit: this.limit,
            offset: this.offset
        };
        this.service.notificationList(data)
            .pipe(takeUntil(this.destroy$))
            .subscribe({
            next: (res) => {
                if (res && res.code == 200) {
                    this.total = res.data.count;
                    this.notification = res.data.result || [];
                    this.setPaginationSizes();
                    if (this.total < 10) {
                        this.paginationSizes = [this.total];
                    }
                    else {
                        this.paginationSizes = [10, 20, 30];
                    }
                    this.loading = false;
                    this.noData = false;
                }
                else {
                    this.noData = true;
                    this.loading = false;
                    this.notification = [];
                }
                this.cd.detectChanges();
            },
            error: (err) => {
                this.noData = true;
                this.loading = false;
                this.notification = [];
            }
        });
    }
    updateNotification(data, btnDetails) {
        this.loading = true;
        this.service.notificationUpdate(data._id).pipe(takeUntil(this.destroy$)).subscribe((res) => {
            if (res && res.code == 200) {
                if (!btnDetails || btnDetails?.redirectionUrl != 'subscribed')
                    this.toast.getSuccessToast(res.message);
                setTimeout(() => {
                    this.notificationList();
                }, 1000);
                if (btnDetails && btnDetails?.redirectionUrl != '' && btnDetails?.redirectionUrl.split('/').length > 1) {
                    this.router.navigateByUrl(btnDetails.redirectionUrl);
                }
                if (btnDetails && btnDetails?.redirectionUrl == 'remind') {
                    this.service.updateRemind(data._id).pipe(takeUntil(this.destroy$)).subscribe(() => { });
                }
                if (btnDetails && btnDetails?.redirectionUrl == 'trialApproved') {
                    let params = {
                        id: btnDetails.id,
                        type: 'approve'
                    };
                    this.service.trialApproved(params).pipe(takeUntil(this.destroy$)).subscribe(() => { });
                }
                if (btnDetails && btnDetails?.redirectionUrl == 'subscribed') {
                    let params = {
                        clientId: btnDetails?.clientId,
                        products: [
                            {
                                name: btnDetails.product,
                                productName: btnDetails.name,
                                type: "subscription",
                                content: "new"
                            }
                        ]
                    };
                    this.service.updateSubscription(params).pipe(takeUntil(this.destroy$)).subscribe((res) => {
                        if (res && res.code == 200) {
                            this.toast.getSuccessToast('Product Subscribed Successfully');
                        }
                    });
                }
                this.cd.detectChanges();
            }
        }, (error) => {
            this.loading = false;
            this.noData = true;
        });
    }
    chooseManager(type) {
        this.tabtype = type;
        this.sortColumName = "",
            this.sortDirection = "",
            this.searchValue = "",
            this.limit = 10,
            this.offset = 1,
            this.currentPage = 1,
            this.pageSize = 10;
        this.router.navigate([], {
            relativeTo: this.route,
            queryParams: { tab: type },
            queryParamsHandling: 'merge' // keeps existing query params and merges with new ones
        });
        if (this.tabtype === 'alert') {
            this.showalert = true;
            this.showdownload = false;
            this.notificationList();
        }
        else if (this.tabtype === 'download') {
            this.showdownload = true;
            this.showalert = false;
            this.downloadmanagerList();
        }
    }
    setPaginationSizes() {
        if (this.totalItems > 10) {
            this.paginationSizes = [10, 20, 30];
        }
        else {
            this.paginationSizes = [this.totalItems];
            this.pageSize = this.totalItems; // Just one option if less than 10
        }
    }
    onPageChange(pageOffset) {
        this.offset = Number(pageOffset);
        if (this.tabtype === 'alert') {
            this.notificationList();
        }
        else if (this.tabtype === 'download') {
            this.downloadmanagerList();
        }
    }
    onPageSizeChange(pageSize) {
        this.currentPage = 1;
        this.limit = Number(pageSize);
        this.offset = 1;
        if (this.tabtype === 'alert') {
            this.notificationList();
        }
        else if (this.tabtype === 'download') {
            this.downloadmanagerList();
        }
        // this.notificationList();
    }
    paginationSize() {
        if (this.total < 10) {
            return this.total;
        }
        else {
            return this.limit;
        }
    }
    downloadmanagerList() {
        this.downloadloading = true;
        const requestData = {
            clientId: this.clientId,
            limit: this.limit,
            offset: this.offset - 1,
            sortBy: this.sortDirection,
            sortColumnName: this.sortColumName,
            searchValue: this.searchInput,
            createdBy: this.user_id
        };
        this.service.getdownloadlist(requestData)
            .pipe(takeUntil(this.destroy$))
            .subscribe({
            next: (res) => {
                if (res && res.code === 200) {
                    this.downloads = res.data.data;
                    this.total = res.data.count;
                    this.setPaginationSizes();
                    this.paginationSizes = this.total < 10 ? [this.total] : [10, 20, 30];
                    this.downloadloading = false;
                    this.downloadnoData = this.downloads.length === 0;
                }
                else {
                    this.downloadnoData = true;
                    this.downloadloading = false;
                    this.downloads = [];
                }
                this.cd.detectChanges();
            },
            error: () => {
                this.downloadnoData = true;
                this.downloadloading = false;
                this.downloads = [];
            }
        });
    }
    downloadFile(record) {
        window.open(record.url, '_blank');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: NotificationComponent, deps: [{ token: i1.PageInfoService }, { token: i1.GlobalStateService }, { token: i2$1.ActivatedRoute }, { token: NotificationService }, { token: i0.ChangeDetectorRef }, { token: ToastService }, { token: i2$1.Router }, { token: i2.NgbModal }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: NotificationComponent, selector: "lib-notification", ngImport: i0, template: "<div class=\"row buttonsec mb-10\">\r\n    <button [ngClass]=\"showalert?'':'submenu'\" class=\" col-lg-6 btn bg-light-primary text-primary\"\r\n        (click)=\"chooseManager('alert')\">Alerts Manager</button>\r\n    <button [ngClass]=\"showdownload?'':'submenu'\" class=\"col-lg-6 btn bg-light-primary text-primary\"\r\n        (click)=\"chooseManager('download')\">Download Manager</button>\r\n</div>\r\n<div  *ngIf=\"showalert\" class=\"card topbar\">\r\n    <div class=\"card-header\">\r\n        <h3 class=\"card-title align-items-start flex-column\">\r\n            <span class=\"card-label mb-2\">Alerts Manager</span>\r\n        </h3>\r\n    </div>\r\n    <div class=\"card-body\">\r\n        <div class=\"d-flex flex-column flex-xl-row p-7 \">\r\n            <div class=\"flex-lg-row-fluid  mb-20 mb-xl-0\">\r\n                <div class=\"mb-0\">\r\n                    <div>\r\n                        <ng-container *ngIf=\"loading\">\r\n                            <div class=\"row loader  d-flex justify-content-center align-items-center\">\r\n                                <div class=\"shimmer\">\r\n                                    <div class=\"wrapper\">\r\n                                        <div class=\"stroke animate title\"></div>\r\n                                        <div class=\"stroke animate link\"></div>\r\n                                        <div class=\"stroke animate description\"></div>\r\n                                    </div>\r\n                                </div>\r\n                                <div class=\"shimmer\">\r\n                                    <div class=\"wrapper\">\r\n                                        <div class=\"stroke animate title\"></div>\r\n                                        <div class=\"stroke animate link\"></div>\r\n                                        <div class=\"stroke animate description\"></div>\r\n                                    </div>\r\n                                </div>\r\n\r\n                            </div>\r\n                        </ng-container>\r\n                        <ng-container *ngIf=\"noData && !loading\">\r\n                            <div class=\"row\">\r\n                                <div class=\"col-lg-12 mb-3\">\r\n                                    <div class=\"card-body d-flex justify-content-center align-items-center flex-column\">\r\n                                        <img class=\"img-src w-25\" src=\"./assets/tango/Icons/noNotification.svg\" alt=\"\">\r\n                                        <span class=\"notificationAlign mt-10\">No New Notification</span>\r\n                                        <span class=\"noNotification mt-2\">Any new notification will be shown\r\n                                            here.</span>\r\n                                    </div>\r\n                                </div>\r\n                            </div>\r\n                        </ng-container>\r\n                        <div class=\"row w-100\" *ngIf=\"notification?.length && !loading\">\r\n                            <div class=\"col-lg-6\" *ngFor=\"let item of notification;let i=index\">\r\n                                <div class=\"mb-8 border-value w-100\">\r\n                                            <div class=\"flex-grow-1 me-2\">\r\n                                                <div class=\"row mt-4\">\r\n                                                    <div class=\"col-lg-11\">\r\n                                                        <div class=\"symbol symbol-50px mx-4\">\r\n                                                            <span class=\"mt-2\">\r\n                                                                <svg width=\"40\" height=\"40\" viewBox=\"0 0 40 40\"\r\n                                                                    fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\">\r\n                                                                    <rect width=\"40\" height=\"40\" rx=\"20\"\r\n                                                                        fill=\"#DAF1FF\" />\r\n                                                                    <g clip-path=\"url(#clip0_12108_56367)\">\r\n                                                                        <path\r\n                                                                            d=\"M19.9993 23.3333V20M19.9993 16.6666H20.0077M28.3327 20C28.3327 24.6023 24.6017 28.3333 19.9993 28.3333C15.397 28.3333 11.666 24.6023 11.666 20C11.666 15.3976 15.397 11.6666 19.9993 11.6666C24.6017 11.6666 28.3327 15.3976 28.3327 20Z\"\r\n                                                                            stroke=\"#00A3FF\" stroke-width=\"1.66667\"\r\n                                                                            stroke-linecap=\"round\"\r\n                                                                            stroke-linejoin=\"round\" />\r\n                                                                    </g>\r\n                                                                    <defs>\r\n                                                                        <clipPath id=\"clip0_12108_56367\">\r\n                                                                            <rect width=\"20\" height=\"20\" fill=\"white\"\r\n                                                                                transform=\"translate(10 10)\" />\r\n                                                                        </clipPath>\r\n                                                                    </defs>\r\n                                                                </svg>\r\n                                                            </span>\r\n                                                            <span class=\"alert-title mx-4\">{{ item._source.title }}<span\r\n                                                                    class=\"alertdot m-2\">\u2022</span><span\r\n                                                                    class=\"alertdot\">{{\r\n                                                                    item._source.date | customDateFormat }} Today</span>\r\n                                                            </span>\r\n                                                            <div class=\"alt-desc d-block ms-17\">{{\r\n                                                                item._source.description\r\n                                                                }}</div>\r\n                                                        </div>\r\n                                                    </div>\r\n                                                    <div class=\"col-lg-1\">\r\n                                                        <span (click)=\"updateNotification(item,'')\"\r\n                                                            class=\"btn btn-sm btn-icon btn-active-color-primary\">\r\n                                                            <svg width=\"20\" height=\"20\" viewBox=\"0 0 20 20\" fill=\"none\"\r\n                                                                xmlns=\"http://www.w3.org/2000/svg\">\r\n                                                                <path d=\"M15 5L5 15M5 5L15 15\" stroke=\"#667085\"\r\n                                                                    stroke-width=\"1.67\" stroke-linecap=\"round\"\r\n                                                                    stroke-linejoin=\"round\" />\r\n                                                            </svg>\r\n                                                        </span>\r\n\r\n                                                    </div>\r\n                                                </div>\r\n                                            </div>\r\n                                            <div class=\"ms-20 mt-2\">\r\n                                                <ng-container *ngFor=\"let cta of item._source.alertCta\">\r\n                                                    <button *ngIf=\"!['remind','cancel'].includes(cta.redirectionUrl)\"\r\n                                                        (click)=\"updateNotification(item,cta)\"\r\n                                                        class=\"btn btn-sm btn-primary\">{{ cta.buttonName }}</button>\r\n                                                    <span *ngIf=\"['remind','cancel'].includes(cta.redirectionUrl)\"\r\n                                                        (click)=\"updateNotification(item,cta)\"\r\n                                                        class=\"text-primary mx-6 remindlatertext cursor-pointer\">{{\r\n                                                        cta.buttonName }}</span>\r\n                                                </ng-container>\r\n\r\n                                            </div>\r\n                                        <!-- </div> -->\r\n                                    <!-- </div> -->\r\n                                </div>\r\n                            </div>\r\n\r\n                        </div>\r\n                        <div *ngIf=\"notification?.length && !loading\" class=\"my-3\">\r\n                            <lib-pagination [itemsPerPage]=\"limit\" [currentPage]=\"offset\" [totalItems]=\"total\"\r\n                                [paginationSizes]=\"paginationSizes\" [pageSize]=\"paginationSize()\"\r\n                                (pageChange)=\"onPageChange($event)\"\r\n                                (pageSizeChange)=\"onPageSizeChange($event)\"></lib-pagination>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n\r\n\r\n<div class=\"card topbar\" *ngIf=\"showdownload\">\r\n    <div class=\"card-header\">\r\n      <h3 class=\"card-title align-items-start flex-column\">\r\n        <span class=\"card-label mb-2\">Download Manager</span>\r\n      </h3>\r\n    </div>\r\n    <div class=\"card-body\">\r\n        <ng-container *ngIf=\"downloadloading\">\r\n            <div class=\"row loader  d-flex justify-content-center align-items-center\">\r\n                <div class=\"shimmer\">\r\n                    <div class=\"wrapper\">\r\n                        <div class=\"stroke animate title\"></div>\r\n                        <div class=\"stroke animate link\"></div>\r\n                        <div class=\"stroke animate description\"></div>\r\n                    </div>\r\n                </div>\r\n                <div class=\"shimmer\">\r\n                    <div class=\"wrapper\">\r\n                        <div class=\"stroke animate title\"></div>\r\n                        <div class=\"stroke animate link\"></div>\r\n                        <div class=\"stroke animate description\"></div>\r\n                    </div>\r\n                </div>\r\n\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngIf=\"downloadnoData && !downloadloading\">\r\n            <div class=\"row\">\r\n                <div class=\"col-lg-12 mb-3\">\r\n                    <div class=\"card-body d-flex justify-content-center align-items-center flex-column\">\r\n                        <img class=\"img-src w-25\" src=\"./assets/tango/Icons/Nodata1.svg\" alt=\"\">\r\n                        <span class=\"notificationAlign mt-10\">No data found</span>\r\n                        <span class=\"noNotification mt-2\">There is no result for Download Manager.\r\n                            </span>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <div class=\"row\" *ngIf=\"downloads?.length && !downloadloading\">\r\n            <div *ngFor=\"let record of downloads\" class=\"col-md-5 card border px-5 py-5 mt-5\" style=\"margin-left: 70px;\">\r\n              <div class=\"d-flex justify-content-between\" *ngIf=\"downloads?.length\">\r\n                <div class=\"d-flex\">\r\n                  <img class=\"downloadimage\" src=\"./assets/tango/Icons/Trax_Folder_Icon.svg\" alt=\"Folder Icon\">\r\n                  <div class=\"mx-5\">\r\n                  <!--.{{record?.type ? record.type : 'zip' }} -->\r\n                    <span class=\"foldername\">{{ record.name }}</span><br>\r\n                    <span class=\"downloadstatus\" *ngIf=\"record.status === 'completed'\">\r\n                        Initiated Time: {{ record.downloadedTime }} | {{ record.downloadedDate }}\r\n                    </span>\r\n                    <span class=\"downloadstatus\" *ngIf=\"record.status === 'inprogress'\">Processing...</span>\r\n                    <span class=\"text-primary text-decoration-underline cursor-pointer ms-10\" *ngIf=\"record.status === 'inprogress'\" (click)=\"cancelDownload(record._id)\"  >Cancel</span>\r\n                  </div>\r\n                </div>\r\n                <button *ngIf=\"record.status === 'completed' && record.url && record.url.trim() !== ''\" class=\"btn btn-primary download\" (click)=\"downloadFile(record)\">\r\n                  Download\r\n                </button>\r\n                <button *ngIf=\"record.status === 'completed' && (!record.url || record.url.trim() === '')\"  class=\"btn btn-outline  nofilefound\">\r\n                    No File Found\r\n                  </button>\r\n                <div *ngIf=\"record.status === 'inprogress'\">\r\n                  <img class=\"loader\" src=\"./assets/tango/Icons/Trax-Loader GIF.gif\" alt=\"Loading\">\r\n                </div>\r\n              </div>\r\n            </div>\r\n          </div>\r\n          <div *ngIf=\"downloads?.length && !downloadloading\" class=\"my-3\">\r\n            <lib-pagination \r\n              [itemsPerPage]=\"limit\" \r\n              [currentPage]=\"offset\" \r\n              [totalItems]=\"total\"\r\n              [paginationSizes]=\"paginationSizes\" \r\n              [pageSize]=\"paginationSize()\"\r\n              (pageChange)=\"onPageChange($event)\"\r\n              (pageSizeChange)=\"onPageSizeChange($event)\">\r\n            </lib-pagination>\r\n          </div>\r\n    </div>\r\n  </div>", styles: [".border-value{border-radius:12px!important;border:1.095px solid var(--Gray-200, #EAECF0)!important;background:var(--White, #FFF)!important;height:155px}.buttonsec{border-radius:8px;margin:0;background:var(--gray-50, white);width:100%;height:fit-content;padding:5px}.submenu{background:var(--gray-50, white)!important;color:var(--gray-500, #667085)!important;font-size:16px!important;font-weight:500!important;outline:none!important}.text-primary{color:var(--primary-700, #009BF3)!important;font-size:16px;font-weight:500}.alert-title{color:var(--Gray-900, #101828);font-size:18px;font-style:normal;font-weight:600;line-height:28px}.alt-desc{color:var(--Gray-500, #667085)!important;font-size:14px!important;font-weight:400!important;line-height:20px}.alertdot{color:var(--Gray-500, #667085);font-size:12px;font-weight:400;line-height:18px}.remindlatertext{color:var(--Primary-700, #009BF3);font-size:16px;font-weight:600;line-height:24px;text-decoration-line:underline;text-transform:capitalize}.notificationAlign{color:var(--Gray-900, #101828);text-align:center;font-family:Inter;font-size:16px;font-style:normal;font-weight:600;line-height:24px}.noNotification{color:var(--Gray-500, #667085);text-align:center;font-family:Inter;font-size:14px;font-style:normal;font-weight:400;line-height:20px}.loader .title{width:65%}.loader .link{width:85%}.loader .description{width:95%}.loader .shimmer{padding:15px;width:95%;height:120px;margin:10px auto;background:#fff}.loader .shimmer .image-card{height:90px;width:90px;float:right;border-radius:8px}.loader .stroke{height:15px;background:#777;margin-top:20px}.loader .wrapper{width:0px;animation:fullView .5s forwards linear}@keyframes fullView{to{width:100%}}.loader .animate{animation:shimmer 3s;animation-iteration-count:infinite;background:linear-gradient(to right,#e6e6e6 5%,#ccc 25%,#e6e6e6 35%);background-size:1000px 100%}@keyframes shimmer{0%{background-position:-1000px 0}to{background-position:1000px 0}}.downloadimage{width:56px;height:56px}.foldername{color:var(--gray-700, #344054);font-size:16px;font-style:normal;font-weight:500;line-height:24px}.downloadstatus{color:var(--gray-500, #667085);font-size:14px;font-style:normal;font-weight:500;line-height:20px}.download{border-radius:8px;border:1px solid var(--primary-600, #00A3FF);background:var(--primary-600, #00A3FF);box-shadow:0 1px 2px #1018280d;padding:10px 18px;justify-content:center;align-items:center;gap:8px;height:45px;color:var(--White, #FFF);font-family:Inter;font-size:16px;font-style:normal;font-weight:600;line-height:24px;text-transform:capitalize}.nofilefound{color:var(--Gray-500, #667085);font-size:16px;font-style:normal;font-weight:600;line-height:24px;text-transform:capitalize;border-radius:8px}.btn-outline{border:1px solid var(--Gray-200, #EAECF0);background:var(--White, #FFF);box-shadow:0 1px 2px #1018280d;display:flex;justify-content:center;align-items:center;gap:8px}\n"], dependencies: [{ kind: "directive", type: i4.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i4.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i4.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: PaginationComponent, selector: "lib-pagination", inputs: ["collection", "itemsPerPage", "currentPage", "totalItems", "directionLinks", "pageSize", "paginationSizes"], outputs: ["pageChange", "pageSizeChange"] }, { kind: "pipe", type: CustomDateFormatPipe, name: "customDateFormat" }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: NotificationComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-notification', template: "<div class=\"row buttonsec mb-10\">\r\n    <button [ngClass]=\"showalert?'':'submenu'\" class=\" col-lg-6 btn bg-light-primary text-primary\"\r\n        (click)=\"chooseManager('alert')\">Alerts Manager</button>\r\n    <button [ngClass]=\"showdownload?'':'submenu'\" class=\"col-lg-6 btn bg-light-primary text-primary\"\r\n        (click)=\"chooseManager('download')\">Download Manager</button>\r\n</div>\r\n<div  *ngIf=\"showalert\" class=\"card topbar\">\r\n    <div class=\"card-header\">\r\n        <h3 class=\"card-title align-items-start flex-column\">\r\n            <span class=\"card-label mb-2\">Alerts Manager</span>\r\n        </h3>\r\n    </div>\r\n    <div class=\"card-body\">\r\n        <div class=\"d-flex flex-column flex-xl-row p-7 \">\r\n            <div class=\"flex-lg-row-fluid  mb-20 mb-xl-0\">\r\n                <div class=\"mb-0\">\r\n                    <div>\r\n                        <ng-container *ngIf=\"loading\">\r\n                            <div class=\"row loader  d-flex justify-content-center align-items-center\">\r\n                                <div class=\"shimmer\">\r\n                                    <div class=\"wrapper\">\r\n                                        <div class=\"stroke animate title\"></div>\r\n                                        <div class=\"stroke animate link\"></div>\r\n                                        <div class=\"stroke animate description\"></div>\r\n                                    </div>\r\n                                </div>\r\n                                <div class=\"shimmer\">\r\n                                    <div class=\"wrapper\">\r\n                                        <div class=\"stroke animate title\"></div>\r\n                                        <div class=\"stroke animate link\"></div>\r\n                                        <div class=\"stroke animate description\"></div>\r\n                                    </div>\r\n                                </div>\r\n\r\n                            </div>\r\n                        </ng-container>\r\n                        <ng-container *ngIf=\"noData && !loading\">\r\n                            <div class=\"row\">\r\n                                <div class=\"col-lg-12 mb-3\">\r\n                                    <div class=\"card-body d-flex justify-content-center align-items-center flex-column\">\r\n                                        <img class=\"img-src w-25\" src=\"./assets/tango/Icons/noNotification.svg\" alt=\"\">\r\n                                        <span class=\"notificationAlign mt-10\">No New Notification</span>\r\n                                        <span class=\"noNotification mt-2\">Any new notification will be shown\r\n                                            here.</span>\r\n                                    </div>\r\n                                </div>\r\n                            </div>\r\n                        </ng-container>\r\n                        <div class=\"row w-100\" *ngIf=\"notification?.length && !loading\">\r\n                            <div class=\"col-lg-6\" *ngFor=\"let item of notification;let i=index\">\r\n                                <div class=\"mb-8 border-value w-100\">\r\n                                            <div class=\"flex-grow-1 me-2\">\r\n                                                <div class=\"row mt-4\">\r\n                                                    <div class=\"col-lg-11\">\r\n                                                        <div class=\"symbol symbol-50px mx-4\">\r\n                                                            <span class=\"mt-2\">\r\n                                                                <svg width=\"40\" height=\"40\" viewBox=\"0 0 40 40\"\r\n                                                                    fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\">\r\n                                                                    <rect width=\"40\" height=\"40\" rx=\"20\"\r\n                                                                        fill=\"#DAF1FF\" />\r\n                                                                    <g clip-path=\"url(#clip0_12108_56367)\">\r\n                                                                        <path\r\n                                                                            d=\"M19.9993 23.3333V20M19.9993 16.6666H20.0077M28.3327 20C28.3327 24.6023 24.6017 28.3333 19.9993 28.3333C15.397 28.3333 11.666 24.6023 11.666 20C11.666 15.3976 15.397 11.6666 19.9993 11.6666C24.6017 11.6666 28.3327 15.3976 28.3327 20Z\"\r\n                                                                            stroke=\"#00A3FF\" stroke-width=\"1.66667\"\r\n                                                                            stroke-linecap=\"round\"\r\n                                                                            stroke-linejoin=\"round\" />\r\n                                                                    </g>\r\n                                                                    <defs>\r\n                                                                        <clipPath id=\"clip0_12108_56367\">\r\n                                                                            <rect width=\"20\" height=\"20\" fill=\"white\"\r\n                                                                                transform=\"translate(10 10)\" />\r\n                                                                        </clipPath>\r\n                                                                    </defs>\r\n                                                                </svg>\r\n                                                            </span>\r\n                                                            <span class=\"alert-title mx-4\">{{ item._source.title }}<span\r\n                                                                    class=\"alertdot m-2\">\u2022</span><span\r\n                                                                    class=\"alertdot\">{{\r\n                                                                    item._source.date | customDateFormat }} Today</span>\r\n                                                            </span>\r\n                                                            <div class=\"alt-desc d-block ms-17\">{{\r\n                                                                item._source.description\r\n                                                                }}</div>\r\n                                                        </div>\r\n                                                    </div>\r\n                                                    <div class=\"col-lg-1\">\r\n                                                        <span (click)=\"updateNotification(item,'')\"\r\n                                                            class=\"btn btn-sm btn-icon btn-active-color-primary\">\r\n                                                            <svg width=\"20\" height=\"20\" viewBox=\"0 0 20 20\" fill=\"none\"\r\n                                                                xmlns=\"http://www.w3.org/2000/svg\">\r\n                                                                <path d=\"M15 5L5 15M5 5L15 15\" stroke=\"#667085\"\r\n                                                                    stroke-width=\"1.67\" stroke-linecap=\"round\"\r\n                                                                    stroke-linejoin=\"round\" />\r\n                                                            </svg>\r\n                                                        </span>\r\n\r\n                                                    </div>\r\n                                                </div>\r\n                                            </div>\r\n                                            <div class=\"ms-20 mt-2\">\r\n                                                <ng-container *ngFor=\"let cta of item._source.alertCta\">\r\n                                                    <button *ngIf=\"!['remind','cancel'].includes(cta.redirectionUrl)\"\r\n                                                        (click)=\"updateNotification(item,cta)\"\r\n                                                        class=\"btn btn-sm btn-primary\">{{ cta.buttonName }}</button>\r\n                                                    <span *ngIf=\"['remind','cancel'].includes(cta.redirectionUrl)\"\r\n                                                        (click)=\"updateNotification(item,cta)\"\r\n                                                        class=\"text-primary mx-6 remindlatertext cursor-pointer\">{{\r\n                                                        cta.buttonName }}</span>\r\n                                                </ng-container>\r\n\r\n                                            </div>\r\n                                        <!-- </div> -->\r\n                                    <!-- </div> -->\r\n                                </div>\r\n                            </div>\r\n\r\n                        </div>\r\n                        <div *ngIf=\"notification?.length && !loading\" class=\"my-3\">\r\n                            <lib-pagination [itemsPerPage]=\"limit\" [currentPage]=\"offset\" [totalItems]=\"total\"\r\n                                [paginationSizes]=\"paginationSizes\" [pageSize]=\"paginationSize()\"\r\n                                (pageChange)=\"onPageChange($event)\"\r\n                                (pageSizeChange)=\"onPageSizeChange($event)\"></lib-pagination>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n\r\n\r\n<div class=\"card topbar\" *ngIf=\"showdownload\">\r\n    <div class=\"card-header\">\r\n      <h3 class=\"card-title align-items-start flex-column\">\r\n        <span class=\"card-label mb-2\">Download Manager</span>\r\n      </h3>\r\n    </div>\r\n    <div class=\"card-body\">\r\n        <ng-container *ngIf=\"downloadloading\">\r\n            <div class=\"row loader  d-flex justify-content-center align-items-center\">\r\n                <div class=\"shimmer\">\r\n                    <div class=\"wrapper\">\r\n                        <div class=\"stroke animate title\"></div>\r\n                        <div class=\"stroke animate link\"></div>\r\n                        <div class=\"stroke animate description\"></div>\r\n                    </div>\r\n                </div>\r\n                <div class=\"shimmer\">\r\n                    <div class=\"wrapper\">\r\n                        <div class=\"stroke animate title\"></div>\r\n                        <div class=\"stroke animate link\"></div>\r\n                        <div class=\"stroke animate description\"></div>\r\n                    </div>\r\n                </div>\r\n\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngIf=\"downloadnoData && !downloadloading\">\r\n            <div class=\"row\">\r\n                <div class=\"col-lg-12 mb-3\">\r\n                    <div class=\"card-body d-flex justify-content-center align-items-center flex-column\">\r\n                        <img class=\"img-src w-25\" src=\"./assets/tango/Icons/Nodata1.svg\" alt=\"\">\r\n                        <span class=\"notificationAlign mt-10\">No data found</span>\r\n                        <span class=\"noNotification mt-2\">There is no result for Download Manager.\r\n                            </span>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <div class=\"row\" *ngIf=\"downloads?.length && !downloadloading\">\r\n            <div *ngFor=\"let record of downloads\" class=\"col-md-5 card border px-5 py-5 mt-5\" style=\"margin-left: 70px;\">\r\n              <div class=\"d-flex justify-content-between\" *ngIf=\"downloads?.length\">\r\n                <div class=\"d-flex\">\r\n                  <img class=\"downloadimage\" src=\"./assets/tango/Icons/Trax_Folder_Icon.svg\" alt=\"Folder Icon\">\r\n                  <div class=\"mx-5\">\r\n                  <!--.{{record?.type ? record.type : 'zip' }} -->\r\n                    <span class=\"foldername\">{{ record.name }}</span><br>\r\n                    <span class=\"downloadstatus\" *ngIf=\"record.status === 'completed'\">\r\n                        Initiated Time: {{ record.downloadedTime }} | {{ record.downloadedDate }}\r\n                    </span>\r\n                    <span class=\"downloadstatus\" *ngIf=\"record.status === 'inprogress'\">Processing...</span>\r\n                    <span class=\"text-primary text-decoration-underline cursor-pointer ms-10\" *ngIf=\"record.status === 'inprogress'\" (click)=\"cancelDownload(record._id)\"  >Cancel</span>\r\n                  </div>\r\n                </div>\r\n                <button *ngIf=\"record.status === 'completed' && record.url && record.url.trim() !== ''\" class=\"btn btn-primary download\" (click)=\"downloadFile(record)\">\r\n                  Download\r\n                </button>\r\n                <button *ngIf=\"record.status === 'completed' && (!record.url || record.url.trim() === '')\"  class=\"btn btn-outline  nofilefound\">\r\n                    No File Found\r\n                  </button>\r\n                <div *ngIf=\"record.status === 'inprogress'\">\r\n                  <img class=\"loader\" src=\"./assets/tango/Icons/Trax-Loader GIF.gif\" alt=\"Loading\">\r\n                </div>\r\n              </div>\r\n            </div>\r\n          </div>\r\n          <div *ngIf=\"downloads?.length && !downloadloading\" class=\"my-3\">\r\n            <lib-pagination \r\n              [itemsPerPage]=\"limit\" \r\n              [currentPage]=\"offset\" \r\n              [totalItems]=\"total\"\r\n              [paginationSizes]=\"paginationSizes\" \r\n              [pageSize]=\"paginationSize()\"\r\n              (pageChange)=\"onPageChange($event)\"\r\n              (pageSizeChange)=\"onPageSizeChange($event)\">\r\n            </lib-pagination>\r\n          </div>\r\n    </div>\r\n  </div>", styles: [".border-value{border-radius:12px!important;border:1.095px solid var(--Gray-200, #EAECF0)!important;background:var(--White, #FFF)!important;height:155px}.buttonsec{border-radius:8px;margin:0;background:var(--gray-50, white);width:100%;height:fit-content;padding:5px}.submenu{background:var(--gray-50, white)!important;color:var(--gray-500, #667085)!important;font-size:16px!important;font-weight:500!important;outline:none!important}.text-primary{color:var(--primary-700, #009BF3)!important;font-size:16px;font-weight:500}.alert-title{color:var(--Gray-900, #101828);font-size:18px;font-style:normal;font-weight:600;line-height:28px}.alt-desc{color:var(--Gray-500, #667085)!important;font-size:14px!important;font-weight:400!important;line-height:20px}.alertdot{color:var(--Gray-500, #667085);font-size:12px;font-weight:400;line-height:18px}.remindlatertext{color:var(--Primary-700, #009BF3);font-size:16px;font-weight:600;line-height:24px;text-decoration-line:underline;text-transform:capitalize}.notificationAlign{color:var(--Gray-900, #101828);text-align:center;font-family:Inter;font-size:16px;font-style:normal;font-weight:600;line-height:24px}.noNotification{color:var(--Gray-500, #667085);text-align:center;font-family:Inter;font-size:14px;font-style:normal;font-weight:400;line-height:20px}.loader .title{width:65%}.loader .link{width:85%}.loader .description{width:95%}.loader .shimmer{padding:15px;width:95%;height:120px;margin:10px auto;background:#fff}.loader .shimmer .image-card{height:90px;width:90px;float:right;border-radius:8px}.loader .stroke{height:15px;background:#777;margin-top:20px}.loader .wrapper{width:0px;animation:fullView .5s forwards linear}@keyframes fullView{to{width:100%}}.loader .animate{animation:shimmer 3s;animation-iteration-count:infinite;background:linear-gradient(to right,#e6e6e6 5%,#ccc 25%,#e6e6e6 35%);background-size:1000px 100%}@keyframes shimmer{0%{background-position:-1000px 0}to{background-position:1000px 0}}.downloadimage{width:56px;height:56px}.foldername{color:var(--gray-700, #344054);font-size:16px;font-style:normal;font-weight:500;line-height:24px}.downloadstatus{color:var(--gray-500, #667085);font-size:14px;font-style:normal;font-weight:500;line-height:20px}.download{border-radius:8px;border:1px solid var(--primary-600, #00A3FF);background:var(--primary-600, #00A3FF);box-shadow:0 1px 2px #1018280d;padding:10px 18px;justify-content:center;align-items:center;gap:8px;height:45px;color:var(--White, #FFF);font-family:Inter;font-size:16px;font-style:normal;font-weight:600;line-height:24px;text-transform:capitalize}.nofilefound{color:var(--Gray-500, #667085);font-size:16px;font-style:normal;font-weight:600;line-height:24px;text-transform:capitalize;border-radius:8px}.btn-outline{border:1px solid var(--Gray-200, #EAECF0);background:var(--White, #FFF);box-shadow:0 1px 2px #1018280d;display:flex;justify-content:center;align-items:center;gap:8px}\n"] }]
        }], ctorParameters: () => [{ type: i1.PageInfoService }, { type: i1.GlobalStateService }, { type: i2$1.ActivatedRoute }, { type: NotificationService }, { type: i0.ChangeDetectorRef }, { type: ToastService }, { type: i2$1.Router }, { type: i2.NgbModal }] });

const routes = [
    {
        path: 'alerts',
        component: NotificationComponent
    },
    {
        path: 'downloadmanager',
        component: NotificationComponent
    }
];
class NotificationRoutingModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: NotificationRoutingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: NotificationRoutingModule, imports: [i2$1.RouterModule], exports: [RouterModule] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: NotificationRoutingModule, imports: [RouterModule.forChild(routes), RouterModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: NotificationRoutingModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [RouterModule.forChild(routes)],
                    exports: [RouterModule]
                }]
        }] });

class NotificationModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: NotificationModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: NotificationModule, declarations: [NotificationComponent,
            ConformationComponent], imports: [CommonModule,
            NotificationRoutingModule,
            CommonSharedModule] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: NotificationModule, imports: [CommonModule,
            NotificationRoutingModule,
            CommonSharedModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: NotificationModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        NotificationComponent,
                        ConformationComponent,
                    ],
                    imports: [
                        CommonModule,
                        NotificationRoutingModule,
                        CommonSharedModule
                    ]
                }]
        }] });

export { NotificationModule };
//# sourceMappingURL=tango-app-ui-shared-notification.module-C5ZmCf8U.mjs.map
