import { OnInit, ElementRef, OnDestroy } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { GlobalStateService, ILayout } from 'tango-app-ui-global';
import { LayoutInitService, LayoutService } from 'tango-app-ui-global';
import { AuthService } from '../../../services/auth.service';
import { ToastService } from '../../../services/toast.service';
import * as i0 from "@angular/core";
export declare class LayoutComponent implements OnInit, OnDestroy {
    private initService;
    private layout;
    private router;
    private activatedRoute;
    private authService;
    private toastService;
    private gs;
    private unsubscribe;
    pageContainerCSSClasses: string;
    appHeaderDefaultClass: string;
    appHeaderDisplay: boolean;
    appHeaderDefaultStickyEnabled: boolean;
    appHeaderDefaultStickyAttributes: {
        [attrName: string]: string;
    };
    appHeaderDefaultMinimizeEnabled: boolean;
    appHeaderDefaultMinimizeAttributes: {
        [attrName: string]: string;
    };
    appToolbarDisplay: boolean;
    appToolbarLayout: 'classic' | 'accounting' | 'extended' | 'reports' | 'saas';
    appToolbarCSSClass: string;
    appToolbarSwapEnabled: boolean;
    appToolbarSwapAttributes: {
        [attrName: string]: string;
    };
    appToolbarStickyEnabled: boolean;
    appToolbarStickyAttributes: {
        [attrName: string]: string;
    };
    appToolbarMinimizeEnabled: boolean;
    appToolbarMinimizeAttributes: {
        [attrName: string]: string;
    };
    appContentContiner?: 'fixed' | 'fluid';
    appContentContainerClass: string;
    contentCSSClasses: string;
    contentContainerCSSClass: string;
    appSidebarDefaultClass: string;
    appSidebarDefaultDrawerEnabled: boolean;
    appSidebarDefaultDrawerAttributes: {
        [attrName: string]: string;
    };
    appSidebarDisplay: boolean;
    appSidebarDefaultStickyEnabled: boolean;
    appSidebarDefaultStickyAttributes: {
        [attrName: string]: string;
    };
    ktSidebar: ElementRef;
    appSidebarPanelDisplay: boolean;
    appFooterDisplay: boolean;
    appFooterCSSClass: string;
    appFooterContainer: string;
    appFooterContainerCSSClass: string;
    appFooterFixedDesktop: boolean;
    appFooterFixedMobile: boolean;
    scrolltopDisplay: boolean;
    ktAside: ElementRef;
    ktHeaderMobile: ElementRef;
    ktHeader: ElementRef;
    constructor(initService: LayoutInitService, layout: LayoutService, router: Router, activatedRoute: ActivatedRoute, authService: AuthService, toastService: ToastService, gs: GlobalStateService);
    ngOnInit(): void;
    updateProps(config: ILayout): void;
    updateSidebar(config: ILayout): void;
    updateHeader(config: ILayout): void;
    updateFooter(config: ILayout): void;
    updateToolbar(config: ILayout): void;
    ngOnDestroy(): void;
    previousScroll: number;
    isToolbarFixed: boolean;
    onScroll(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LayoutComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LayoutComponent, "lib-layout", never, {}, {}, never, never, false, never>;
}
