import { ChangeDetectorRef, OnInit } from "@angular/core";
import dayjs from "dayjs";
import "dayjs/locale/en";
import { AuthService } from "../../../../../services/auth.service";
import { GlobalStateService } from "tango-app-ui-global";
import { Router } from "@angular/router";
import * as i0 from "@angular/core";
export declare class TrafficHeaderComponent implements OnInit {
    private auth;
    private router;
    gs: GlobalStateService;
    private cd;
    dayjs: typeof dayjs;
    isCustomDate: (m: dayjs.Dayjs) => false | "invalid-date";
    selectedDateRange: any;
    selectedFilters: any;
    Opendropdown: boolean;
    dropdownOpen: string | null;
    searchLocationText: string;
    searchGroupText: string;
    locations: any[];
    filteredLocations: any[];
    groupsData: any[];
    filteredGroups: any[];
    filteredStores: any[];
    stores: any[];
    searchStoreText: string;
    clientList: any;
    selectedClient: any;
    locationLabel: any[];
    groupLabel: any[];
    users: any;
    url: any;
    filteredCountries: any[];
    countryLabel: any[];
    searchCountryText: string;
    countries: any[];
    constructor(auth: AuthService, router: Router, gs: GlobalStateService, cd: ChangeDetectorRef);
    onClick(event: MouseEvent): void;
    closeDropdown1(): void;
    ngOnInit(): void;
    private syncWithLocalStorage;
    private emitAndStoreFilters;
    /**
     * Reset selectedFilters and all related arrays to empty states
     */
    private resetFilters;
    getClient(): void;
    getUserInfo(client: any): void;
    onClientSelect(event: any): void;
    ranges: any;
    onStartDateChange(event: any): void;
    datechange(event: any): void;
    opendropdown(e: MouseEvent): void;
    getLocations(): void;
    isAllLocationsSelected(): boolean;
    selectedLocationsLabel(): string;
    removeLocation(): void;
    getGroups(): void;
    toggleDropdown(type: 'country' | 'location' | 'group' | 'store'): void;
    handleGroupDropdownClick(): void;
    resetSelectedGroups(): void;
    selectedGroupsLabel(): string;
    removeGroup(): void;
    isAllGroupsSelected(): boolean;
    getStore(): void;
    private clearStoresState;
    resetSelectedStores(): void;
    selectedStoresLabel(): string;
    isAllStoresSelected(): boolean;
    updateSelectedStores(): void;
    toggleSelectAllLocations(event: any): void;
    toggleSelectAllStores(event: Event): void;
    updateSelectedLocations(): void;
    toggleSelectAllGroups(event: any): void;
    updateSelectedGroups(): void;
    Reset(): void;
    filterLocations(): void;
    filterGroups(): void;
    filterStores(): void;
    closeDropdown(): void;
    clickOutside(event: MouseEvent): void;
    getCountry(): void;
    selectedCountriesLabel(): string;
    filterCountries(): void;
    isAllCountriesSelected(): boolean;
    toggleSelectAllCountries(event: any): void;
    updateSelectedCountries(): void;
    removeCountry(): void;
    Apply(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TrafficHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TrafficHeaderComponent, "lib-traffic-header", never, {}, {}, never, never, false, never>;
}
