import { HttpClient } from '@angular/common/http';
import { Observable, BehaviorSubject } from 'rxjs';
import { Router } from '@angular/router';
import { GlobalStateService } from 'tango-app-ui-global';
import * as i0 from "@angular/core";
export declare class AuthService {
    private router;
    private gs;
    private http;
    clientApiUrl: string;
    authlocalStorageToken: string;
    userApiUrl: string;
    storeApiUrl: string;
    billingApiUrl: string;
    oldDashboardUrl: string;
    dropDownTrigger: BehaviorSubject<null>;
    trafficApiUrl: any;
    traxUrl: any;
    galleryApiUrl: any;
    constructor(router: Router, gs: GlobalStateService, http: HttpClient);
    handleError(res: any): Observable<never>;
    getHeaders(): {
        Authorization: string;
    };
    logout(): Observable<Object>;
    getClients(): Observable<any>;
    getStores(id: any): Observable<any>;
    getOldDashboardRedirect(data: any): Observable<Object>;
    userProfileDet(): Observable<any>;
    refreshToken(): Observable<any>;
    getPersonalInfo(): Observable<any>;
    getAssignedUsers(clientId: string): Observable<any>;
    checkToShowPopup(clientId: string): Observable<any>;
    csmAssignClientAction(clientId: string, data: any): Observable<any>;
    getLeadProducts(email: string): Observable<any>;
    getClientProducts(clientId: string): Observable<any>;
    getLocation(data: any): Observable<any>;
    getGroups(data: any): Observable<any>;
    getHeaderStores(data: any): Observable<any>;
    getHeadertraxStores(data: any): Observable<any>;
    getBrandDetails(id: any): Observable<Object>;
    getHeaderUsers(data: any): Observable<any>;
    getCountry(data: any): Observable<any>;
    getHeaderZone(data: any): Observable<any>;
    private base64Encode;
    private base64Decode;
    setCookie(name: string, value: string, days?: number): void;
    getCookie(name: string): string | null;
    deleteCookie(name: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthService>;
}
